extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "dc:harley_quinn_layer1",
    "layer2": "dc:harley_quinn_layer2",
});
var chest;


function initEffects(renderer) {
    chest = renderer.createEffect("fiskheroes:chest");
    chest.setExtrude(1.5).setYOffset(1.1);

    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.4, 0.5, 1.25], "rotation": [90.0, 0.0, 0.0] }
    ]).slotIndex = 1;
}
function render(entity, renderLayer, isFirstPersonArm) {
if (!isFirstPersonArm && renderLayer == "CHESTPLATE") {
    chest.render();
}
}
